Ticket #1048 (closed enhancement: fixed)

Opened 2 years ago

Last modified 9 months ago

Navigate Medications by National Standard hierarchy (RxNorm, NDFRT, VA)

Reported by: ngraham Owned by: ngraham
Priority: major Milestone: heron-cimarron-update
Component: data-repository Keywords: medication,ontology,RxNorm,public-web
Cc: rwaitman, dconnolly, tmcmahon Blocked By:
Blocking: Sensitive: no

Description

As per discussion between Russ, Nathan and Dan on 2012.04.10.

Goals:

  • Clean up the medication ontology to be much simpler/normalized ('RxNorm?' noted as an example).
    • Right now, the ontology is broken down into route, form, does, etc. and is too much to sift through.
    • The O2 interface shows a simpler hierarchy so the data is there somewhere.

See also: wiki:MedDiscussion.

Also todo:

  • See #1082
    • "therapeutic" is spelled wrong in our code
    • We have over 25K medications that don't have therapeutic/pharmaceutical classes. But, they're still searchable from the i2b2 front-end. Check that we consider this with our new ontology (this ticket).

Attachments

20120628_meeting_goals.sql Download (6.3 KB) - added by ngraham 22 months ago.
Medication mapping to RxCUI (as per meeting on 2012.06.28)

Change History

comment:1 Changed 2 years ago by ngraham

e-mail from Russ on 2012.04.13 (reformatted for wiki):

I think I found the magic link that will get us to RX norm in the RX_MED_GCNSEQNO

That in turn will be located I think in RxNorm which we can then use for linking to other places (our subgoal for heron). It may also be useful for linking meds to problems ala  this paper

other good tables are medication interventions in the RX_INTERVENTION and related tables like RX_IVENT_DOC.

Other RX_MED_ tables look like they have good content, RX_MED_AHFS has the AHFS classes for example which might be another way of looking at drugs some people may prefer.

comment:2 Changed 2 years ago by ngraham

  • Status changed from new to accepted

comment:3 Changed 2 years ago by rwaitman

  • Milestone changed from HERONv.Next to heron-marion-update

comment:4 Changed 2 years ago by rwaitman

Bringing in all the orders seems to be exposing significant holes in our current hierarchy.

For example, cisplatin is a very common chemotherapy drug. It's not viewable within our ontology. But, you can search for it and see that it's listed under "No Therapeutic Class Available"

I did send an email last night to the AHFS people.

comment:5 Changed 2 years ago by rwaitman

medid=250263 for regular cisplatin in a piggyback.

comment:6 Changed 2 years ago by rwaitman

Hmm... 205263 doesn't have a corresponding entry in the RX_MED_AHFS table.

This query tries to link the medication ids to other standard external references like AHFS and gcnseqno and see how much is categorized and what isn't

/* following section is really improved medication linking */

select crmg.gcn_seqno, crma.ahfs_code, crmn.ndc_code, crmh.hier_ing_code, crme.enh_thera_cls_c, crmgm.generic_medid, ccm.*
from CLARITY.clarity_medication ccm
left join CLARITY.rx_med_ahfs crma on ccm.medication_id=crma.medication_id
left join CLARITY.rx_med_etc crme on ccm.medication_id=crme.medication_id
left join CLARITY.rx_med_genmedid crmgm on ccm.medication_id=crmgm.medication_id
left join CLARITY.rx_med_gcnseqno crmg on ccm.medication_id=crmg.medication_id
left join CLARITY.rx_med_ndc_code crmn on ccm.medication_id=crmn.medication_id
/* atc class is always null left join CLARITY.rx_med_atc crmatc on ccm.medication_id=crmatc.medication_id */
left join CLARITY.rx_med_hicl crmh on ccm.medication_id=crmh.medication_id
;

comment:8 Changed 2 years ago by rwaitman

Here is the RXNav link

 http://rxnav.nlm.nih.gov/

comment:9 Changed 2 years ago by rwaitman

  • Milestone changed from heron-marion-update to heron-hillsdale-update

comment:10 Changed 2 years ago by ngraham

  • Status changed from accepted to assigned

comment:11 Changed 23 months ago by ngraham

comment:12 Changed 23 months ago by ngraham

Russ, I think you mentioned that you had been in contact with the authors of this  paper on mashing up `RxNorm` and `NDF-RT` hierarchy? I think we also talked about contacting them to see what code from their project they might be willing to share for our reference. I'd like to discuss with you on how to proceed.

comment:13 Changed 23 months ago by ngraham

I contacted one of the authors (note comment:12). Response is below:

Unfortunately, the work has not been made into a community project. RxNorm/NDF-RT medication ontology for i2b2 (updated on a regular basis to keep up with changes in RxNorm) is available as part of Recombinant's professional open source support offerings for i2b2

So, it looks like we won't be able to use any of their code. I will continue work based on their published paper.

comment:14 Changed 23 months ago by ngraham

As per e-mail from Russ on 5/18:

 http://www.hddaccess.com/

3M, the U.S. Department of Defense (DoD) and the U.S. Department of Veterans Affairs (VA) jointly present HDD Access, the public version of the 3M™ Healthcare Data Dictionary (HDD). Deployed since 1996, the HDD is helping 3M customers manage terminologies used in healthcare and can be integrated with other applications in a seamless manner.

It looks like all that's available now is the online browser. However, the timeline indicates that data model downloads may be available in a month or so.

Also reference:

 http://www.businesswire.com/news/home/20120516005318/en/3M-Opens-Access-3M-Healthcare-Data-Dictionary

http://multimedia.3m.com/mws/mediawebserver?mwsId=66666UuZjcFSLXTtO8TV58TEEVuQEcuZgVs6EVs6E666666--&fn=ci_hdd_mu_white_paper.pdf

comment:15 Changed 22 months ago by rwaitman

  • Milestone changed from heron-hillsdale-update to heron-cimarron-update

comment:16 Changed 22 months ago by dconnolly

Nathan, you mentioned you downloaded NDFRT and RxNorm...
comment:14 suggests we hit a dead end; I'm interested in details on how you got past that:

  • from where?
  • license terms?
  • md5sum of bulk data

(p.s. I'm interested to see us moving on this after talking about MedicalTerminologyMarketplace for so long.)

comment:17 Changed 22 months ago by ngraham

My download/import steps were drafted (I hadn't hit "Submit Changes" yet) but here are the answers to your questions.

comment:14 was with regard to a different data file (3M Healthcare Data Dictionary). I downloaded RxNorm directly from NLM. Excellent point regarding license - we should have it reviewed by you and Russ at least (see below).

  • Download from  NLM Website.
    • 4e550d320ba4ed0cdd62be27aa969f8b ./RxNorm_full_06042012.zip
  • License Terms: https://uts.nlm.nih.gov/license.html
    • From what I understood, it was free for us to use for research but:
      • We're supposed to report back to NLM as to to the usefulness of the data.
      • Some data included is under copyright - if we use those parts (tbd) we need to provide reference.

Right now, I'm just exploring what's there. I thought we'd see what was there and how we might use it. If it proves useful, I thought we'd have to verify the license terms based on the pieces we use.

Have you already done some preliminary work on this? I thought I'd spend a little time looking at this so I could learn enough to have a good discussion with you / Russ about how to proceed. I'll definitely want some design input.

comment:18 Changed 22 months ago by rwaitman

Yes. We are good to use the NLM stuff. Let's discuss in conjunction with the Cimmaron release planning how we'll sequence this work along with quality and diagnosis.

comment:19 Changed 22 months ago by ngraham

RxNorm / NDF-RT Data Load

Summary

For exploration, load the RxNorm and NDF-RT data.

So far...

  • RxNorm tables are loaded

RxNorm Details

As per comment:17...

  • Download from  NLM Website.
    • 4e550d320ba4ed0cdd62be27aa969f8b ./RxNorm_full_06042012.zip
  • Un-zip it.

From Readme:

This release contains updates to the following eight sources:

GS - 05/02/2012 (Gold Standard Alchemy)
MDDB - 05/02/2012 (Master Drug Data Base. Medi-Span, a division of Wolters Kluwer Health)
MMSL - 05/01/2012 (Multum MediSource Lexicon)
MMX - 04/30/2012 (Micromedex DRUGDEX)
MTHSPL - 05/25/2012 (FDA Structured Product Labels)
NDDF - 05/02/2012 (First Databank FDB MedKnowledge (formerly NDDF Plus))
NDFRT - 06/04/2012 (National Drug File - Reference Terminology)
VANDF - 04/25/2012 (Veterans Health Administration National Drug File)

The  NLM Documentation contains format details of the files:

RxNorm provides data in the following types of files:
Concepts, Concept Names, and their sources (2.2) = RXNCONSO.RRF, RXNCONSOOCD.RRF
Attributes (2.3) = RXNSAT.RRF, RXNSATOCD.RRF, RXNSTY.RRF, RXNSTYOCD.RRF
Relationships (2.4) = RXNREL.RRF
Data about RxNorm (2.5) = RXNDOC.RRF, RXNSAB.RRF, RXNCUI.RRF
Archive Data = RXNATOMARCHIVE.RRF
Concept Changes Tracking Data = RXNCUICHANGES.RRF

Note

  • OCD is "Obsolete Content" As drug source providers have refined and updated their datasets over time, new information has been provided about existing drug strings, making the old information obsolete and ambiguous.

Load the Data

  • I Ran the table creation script manually in SQL developer scripts/oracle/RxNormDDL.sql.
  • /scripts/oracle contains Oracle .ctl files for loading the data. From the unzipped directories, I made a shell script based off of /scripts/oracle/populate_oracle_rxn_db.bat to load the data:
    USER=xxx
    PASSWORD=xxx
    export ORACLE_SID=bmid
    
    sqlldr $USER/$PASSWORD control="RXNATOMARCHIVE.ctl"
    sqlldr $USER/$PASSWORD control="RXNCONSO.ctl"
    sqlldr $USER/$PASSWORD control="RXNDOC.ctl"
    sqlldr $USER/$PASSWORD control="RXNREL.ctl"
    sqlldr $USER/$PASSWORD control="RXNSAB.ctl"
    sqlldr $USER/$PASSWORD control="RXNSAT.ctl"
    sqlldr $USER/$PASSWORD control="RXNSTY.ctl"
    sqlldr $USER/$PASSWORD control="RXNCUICHANGES.ctl"
    sqlldr $USER/$PASSWORD control="RXNCUI.ctl"
    

NDF-RT Details

Note  this announcement regarding the inclusion of NDF-RT in RxNorm download. Investigating and will update this ticket...

NDC Mapping

 NDC Normalization Algorithm.

GCN Sequence Number Mapping

comment:20 Changed 22 months ago by rwaitman

That announcement is huge. Get the version that has NDF-RT baked in.

comment:21 Changed 22 months ago by rwaitman

Ignore my prior comment... that's old news from 2010.

New link on free text meds to hierarchy
 http://jamia.bmj.com/content/17/1/19.short

here's the actual code and it's open source! Yeah Hua and Josh!
 http://knowledgemap.mc.vanderbilt.edu/research/content/medex-tool-finding-medication-information

comment:23 Changed 22 months ago by dconnolly

Nathan and I tried to find overlap between NDC codes used in the i2b2 demo ontology and those
found in Epic. We didn't find any.

We found a couple cases where the names matched between the systems,
but the i2b2 side of the match was a folder, where there was no concept_cd
(and hence no NDC code) at all.

The numbers are way off too; we use way more medication ids than the number
of NDC codes in i2b2 (23,476 vs. 8,332). And Epic lists many NDC codes for
each of those medication ids.

Details in attachment:med-ndc-explore.sql

Changed 22 months ago by ngraham

Medication mapping to RxCUI (as per meeting on 2012.06.28)

comment:24 Changed 22 months ago by ngraham

Russ contacted the AUG and got some more information:


As per instructions noted in the above tutorial link:

java -classpath endorsed_lib\*;genlib\i2b2Common-core.jar;lib\commons\*;lib\log4j\*;lib\jdbc\*;lib\spring\*;* edu.harvard.i2b2.ncbo.extraction.NCBOOntologyExtractAll -apikey <api key here> -ont 47101 -outputFileName 47101_stagingFile.txt

log4j:WARN No appenders could be found for logger (edu.harvard.i2b2.ncbo.extract
ion.NCBOOntologyExtractAll).
log4j:WARN Please initialize the log4j system properly.
Extracting nodes to file: 47101_stagingFile.txt
 INFO [main] (?:?) - NCBO Extraction tool  Version 1.0  July 2011
 INFO [main] (?:?) - Writing page: 1 of 916
 INFO [main] (?:?) - Writing page: 2 of 916
 ...

Note that my API key is obfuscated. The ontology we want is 47101 (NDF-RT) which can be seen in the URL noted above for NDF.

Things to note:

  • I copy/pasted my API key from the browser and the program then kept saying that there was no api key on the command line. I tried various things, but when I finally deleted it completely and re-pasted from notepad, it worked. Perhaps strange characters? Not sure.
  • The Word doc included in the .zip download (NCBO_Extraction_Users_Guide_1-0.doc from the i2b2.org link above) has an error: the i2b2Common-core.jar on the classpath is missing the '-' in the document. So copy/paste will result in a java.lang.NoClassDefFoundError: edu/harvard/i2b2/common/util/jaxb/JAXBUtilException exception.

Also...looks like it's going to take a while to download. It's been 10 minutes or so and we've downloaded 31 out of 916.

I also kicked it off for the RxNorm? piece:

java -classpath endorsed_lib\*;genlib\i2b2Common-core.jar;lib\commons\*;lib\log4j\*;lib\jdbc\*;lib\spring\*;* edu.harvard.i2b2.ncbo.extraction.NCBOOntologyExtractAll -apikey <api key here> -ont 46395 -outputFileName 46395_extract.txt

comment:25 Changed 22 months ago by ngraham

Extraction complete:

NDF-RT Data
...
INFO [main] (?:?) - Writing page: 916 of 916
INFO [main] (?:?) - Extraction completed

RxNorm Data:
...
INFO [main] (?:?) - Writing page: 4015 of 4015
INFO [main] (?:?) - Extraction completed

File sizes:

07/02/2012  08:20 PM       152,578,986 46395_stagingFile.txt
07/02/2012  05:04 PM        41,279,559 47101_stagingFile.txt

comment:26 Changed 22 months ago by rwaitman

Use therapeutic classes. use lisinopril as the guinea pig.
Should basically be cardiovascular ACE Inhibitor I think. Or possibly hypertensive agent.

Organize the stuff under therapeutic classes by clinical drug group, not clinical drug or pack (too specific) or the ingredient (too general)

comment:27 Changed 22 months ago by dconnolly

Nathan and I successfully mapped lisinopril from heron_terms to RxNorm? clinical drug group [884c202ba8f5]
but struggled to relate that to CARDIOVASCULAR MEDICATIONS.

There's not much data on therapeutic class:

select count(*)
from NGRAHAM.rxnrel@epic1 tc
where tc.rela = 'has_therapeutic_class'
;
-- 73 :(

We took another look at the  2010 paper by Palchuk et. al.; it's still not entirely clear to me, but it's getting there.

comment:28 Changed 22 months ago by rwaitman

It's possible the therapeutic class links in at a different point in the RxNorm? ontology than the clinical drug group. May need to go up or down the tree.

comment:29 Changed 22 months ago by ngraham

From  2010 paper on mashing up RxNorm and NDF-RT hierarchy (also linked in comment:7):

Our interest in NDF-RT, however, is limited to the “Drug Products by VA Class” hierarchy under “Pharmaceutical Preparations.” Drugs are classified mainly by a specific chemical or pharmacological classification (for example, beta-blockers, cephalosporins) or by therapeutic category (for example, antilipemic agents, antiparkinson agents). Drug products with local effects are classified by route of administration (for example, dermatological, ophthalmic).

Looking at the Pharmaceutical Preparations->Drug Products by VA Class hierarchy on  bioportal, it appears to match the  screenshot from the paper (rather than therapeutic class).

Quick look here gives us the classes (expanded) that we see in bioportal:

select distinct atv from rxnsat rs where atn = 'VA_CLASS_NAME' order by atv;

note: RXNSAT table is "Simple Concept and Atom Attributes".

I'm not sure how the hierarchy is determined as of yet (perhaps RXNREL), but as for the paper noted above:

We downloaded NDF-RT Public Edition version 2009-10-13.9AA from the official National Cancer Institute repository8. The file was a zipped Common Data Format (CDF) full load package intended for importing into an open source Apelon Distributed Terminology System (DTS) database10. The Terminology Query Language (TQL) Editor plug-in for the DTS Editor was then used to export the entire Pharmaceutical Preparations hierarchy into a pipe delimited text file. Each record in the file contained a reference to the parent class, so that the hierarchical relationship was not lost.

comment:30 Changed 22 months ago by ngraham

The below query appears to provide the parent/child relationships for the Pharmaceutical Preparations hierarchy:

select 
  con1.str, rel.rel, con2.str
from 
  rxnrel rel
join
  rxnconso con1 on con1.rxaui=rel.rxaui1
join
  rxnconso con2 on con2.rxaui=rel.rxaui2
where 
  rel.sab = 'NDFRT' 
and
  con1.scui in ( select code from rxnsat where atv = 'VA Class')
and
  con2.scui in ( select code from rxnsat where atv = 'VA Class')
order by con1.str;

Example:

[AD000] ANTIDOTES,DETERRENTS AND POISON CONTROLCHD[AD900] ANTIDOTES/DETERRENTS,OTHER
[AD000] ANTIDOTES,DETERRENTS AND POISON CONTROLCHD[AD400] ANTIDOTES,DETERRENTS,AND POISON CONTROL EXCHANGE RESINS
[AD000] ANTIDOTES,DETERRENTS AND POISON CONTROLCHD[AD300] HEAVY METAL ANTAGONISTS
[AD000] ANTIDOTES,DETERRENTS AND POISON CONTROLCHD[AD200] CYANIDE ANTIDOTES
[AD000] ANTIDOTES,DETERRENTS AND POISON CONTROLCHD[AD100] ALCOHOL DETERRENTS

comment:31 Changed 22 months ago by ngraham

Code in comment:30 improved to create the the paths necessary for the i2b2 terms tree: [8935f676bca5].

comment:32 Changed 22 months ago by ngraham

A test NDF-RT folder-level hierarchy is available on the dev server. This matches  bioportal in "Pharmaceutical Preparations / Drug Products by VA Class".

Russ, do you have any comments on this organization?

comment:33 Changed 22 months ago by dconnolly

Nice work!

A couple issues come to mind, mostly about the concept paths behind the scenes.

	<item_key>\\i2b2\i2b2\NDF-RT Drug Products by VA Class\[CV000] CARDIOVASCULAR MEDICATIONS\[CV350] ANTILIPEMIC AGENTS\</item_key>

I expect you planned to get to these eventually, but just in case...

  1. There's a finite limit on concept_path length. Since CV000 is unique, you might want to truncate [CV000] CARDIOVASCULAR MEDICATIONS at 20 characters or so. (Don't cut it down to just the [CV000] thingy; a few more characters help in debugging.)
  2. I expect we'll want these under \i2b2\Medications\. I wonder whether to put [CV000] CARDIOVASCULAR MEDICATIONS straight under medications or whether an explicit "NDF-RT Drug Products by VA Class" folder is worthwhile. Perhaps open a separate (v.Next) ticket for alignment of concept paths with the SHRINE codebase?


comment:34 Changed 22 months ago by rwaitman

Great work Nathan!  I think it's good enough for now.

comment:35 Changed 22 months ago by ngraham

the development server now has the NDF-RT hierarchy, with the RxNorm Semantic clinical drug group (SCDG) under that and finally the Clarity drug as a leaf. c3967819d212 has the code but it's still in pieces (checked-in for backup).

I don't yet have a feel for exactly how many facts we'll get mapped - I'll do that next. Also, some of the SCDGs have very long strings so the term is > 700 chars and therefore fails. I just truncated for now but we need to find an appropriate abbreviation.

comment:36 Changed 22 months ago by dconnolly

Wow... the pieces are really coming together!

The pesky "Lisinopril Pill" is still around, as well as "Lisinopril Oral Product." Hmm...

comment:37 Changed 22 months ago by rwaitman

Don't worry too much about that at this point. I think we can probably prune out the pill by pruning out certain dose forms.

comment:38 Changed 22 months ago by rwaitman

By that I mean, a typical pill will always have "pill" and "oral product" as dose forms. We might say we map to one dose form and favor the dose forms:
oral product
injectable product

Actually the rule would just be if the dose form ends in "product" use that and don't use the other forms.

comment:39 Changed 22 months ago by ngraham

Summary

Using the counts_by_concept table in the current de-id production instance, I summed up all the KUH medication facts. I then left-joined with all the KUH med concepts that I've mapped into the NDF-RT hierarchy and summed the facts where there was no concept match.

From this, it appears that 88% of the facts map to our new NDF-RT hierarchy (will talk with Dan to double-check me) which is encouraging to me since we still don't do NDC normalization and we don't do any NLP for drugs that don't have GCN/NDC values.

Note that I built the ontology based on our "full" clarity dump we use for testing (since we hadn't extracted all the tables we need before). I found that there are more than 3,000 new medications in the production copy of Clarity versus the full test instance. But, it looks like only 18K facts use these medications (out of 99,552,613) so we won't gain much there.

Next Steps

  • Have someone look at what I've done and see if the 88% coverage value is accurate.
  • Clean up the code so it works with paver and on appropriate SIDs, etc (code used for checking facts is here [4718ec7c277b]).
  • I would like someone (Dan perhaps?) to sit down with me and review the code - perhaps better to wait until it's cleaned up, but I'd like to at least take a look at the fact coverage code.
  • If we do indeed have 88% coverage, I thought we should consider releasing this new hierarchy in parallel with our current medication hierarchy (in draft-status perhaps)?
  • Decide where to stage the RxNorm? data each month. Right now, it's in my schema. Perhaps create an rxnorm user on KUMC?

Regarding releasing this new hierarchy in draft status:

PROS:

  • Gives people a chance to review the new hierarchy sooner.
  • We only cover 88% of current facts in the new hierarchy (until noted improvements are made for matching medications). If we release in parallel (keeping the old stuff around too), it won't seem that we've taken a step back.
  • Note that since I use the same concept codes in both hierarchies, we won't duplicate records in the fact table.

CONS

  • Any saved queries using the new hierarchy will likely break after the next release (maybe not if we think about the new paths carefully?).

comment:40 Changed 22 months ago by ngraham

Added automated scripts for staging RxNorm data [f62082bf0aa5]. Modified BulkTransfer? page to include the RxNorm staging process.

comment:41 Changed 22 months ago by ngraham

I talked with Russ and we decided to go with the "draft" approach (comment:39). "Draft" added to the top-level name in revision [a7e9e6d26292].

As per comment:33, it looks like my paths are shorter than what's already in Heron terms now that I truncate the names of long Clinical Dose Form names.

select max(length(c_dimcode)) from BLUEHERONMETADATA.rxnorm_terms; --298 chars
select max(length(c_dimcode)) from BLUEHERONMETADATA.heron_terms; --629 chars

A TODO is to determine a better way to abbreviate. It looks like they mostly have slashes in them, so one possible way is something like this to take the string after the last slash:

select * from(
  select ltrim(substr(str, -(length(str)-instr(str, '/', -1 ))), ' ') abbv, str, rxcui from(
    select rxcui, str from rxnorm.rxnconso where tty = 'SCDF' and length(str) > 64 
    )
  )order by length(str) desc;

Which takes this:

Streptococcus pneumoniae serotype 1 capsular antigen diphtheria CRM197 protein conjugate vaccine / Streptococcus pneumoniae serotype 14 capsular antigen diphtheria CRM197 protein conjugate vaccine / Streptococcus pneumoniae serotype 18C capsular antigen diphtheria CRM197 protein conjugate vaccine / Streptococcus pneumoniae serotype 19A capsular antigen diphtheria CRM197 protein conjugate vaccine / Streptococcus pneumoniae serotype 19F capsular antigen diphtheria CRM197 protein conjugate vaccine / Streptococcus pneumoniae serotype 23F capsular antigen diphtheria CRM197 protein conjugate vaccine / Streptococcus pneumoniae serotype 3 capsular antigen diphtheria CRM197 protein conjugate vaccine / Streptococcus pneumoniae serotype 4 capsular antigen diphtheria CRM197 protein conjugate vaccine / Streptococcus pneumoniae serotype 5 capsular antigen diphtheria CRM197 protein conjugate vaccine / Streptococcus pneumoniae serotype 6A capsular antigen diphtheria CRM197 protein conjugate vaccine / Streptococcus pneumoniae serotype 6B capsular antigen diphtheria CRM197 protein conjugate vaccine / Streptococcus pneumoniae serotype 7F capsular antigen diphtheria CRM197 protein conjugate vaccine / Streptococcus pneumoniae serotype 9V capsular antigen diphtheria CRM197 protein conjugate vaccine Prefilled Syringe

to this:

Streptococcus pneumoniae serotype 9V capsular antigen diphtheria CRM197 protein conjugate vaccine Prefilled Syringe

On another note, we discussed putting all un-mapped medications into an "all others" bucket, but at this point the list is too long to be useful as there are 23,000 unmapped codes (out of 124K medications).

comment:42 Changed 22 months ago by ngraham

  • Status changed from assigned to closed
  • Resolution set to fixed

As per comment:41, we plan to release in a "Draft" form. AS per comment:39, we have around 88% coverage of facts now.

I've created a new ticket to represent the work to improve fact coverage (#1246) and will close this one.

comment:43 Changed 22 months ago by ngraham

Test results in development using the new hierarchy:

Path is: 
\i2b2\Medications by VA Class/Clinical Dose Form (DRAFT)\[VT000] VITAMINS #11262\[VT100] VITAMIN B #11251\[VT103] NICOTINIC ACID #7393\Niacin Oral Tablet #373053\NIACIN 100 MG P #5539\

Finished Query: "Niacin Oral Tab@11:53:46"
[5.7 secs]
Compute Time: 3 secs
Number of patients for "Niacin Oral Tab@11:53:46"
patient_count: 1

Modifiers (type-level "other" orders):

Finished Query: "Other Medicatio@14:43:50"
[8.8 secs]
Compute Time: 6 secs
Number of patients for "Other Medicatio@14:43:50"
patient_count: 50

Code used: [91ea9d742944]

comment:44 Changed 22 months ago by dconnolly

  • Type changed from task to enhancement

tweaking ticket type, summary for release notes

comment:45 Changed 9 months ago by kcrane2

Approved for public release

comment:46 Changed 9 months ago by ngraham

  • Keywords medication,ontology,RxNorm,public-web added; medication,ontology,RxNorm removed
Note: See TracTickets for help on using tickets.